cURL
curl --request POST \ --url https://api-0{dc}.moengage.com/v1/external/campaigns/content-blocks/get-by-ids \ --header 'Content-Type: application/json' \ --header 'MOE-APPKEY: <api-key>' \ --data ' { "ids": [ "634fdf4db9c206ba55b8223b" ], "is_raw_content_required": true } '
{ "data": [ { "id": "634fdf4db9c206ba55b8223ab", "name": "Contentblocktest2", "label": "Contentblocktest2", "description": "", "content_type": "TEXT", "content": "aa", "raw_content": "aa", "status": "ACTIVE", "created_by": "user@email.com", "created_at": "2022-10-19T11:28:13.925000", "updated_by": "test", "updated_at": "2022-10-21T08:38:51.419000", "tag_ids": [ "0" ], "team_ids": [ "test" ], "images_used": [] } ] }
You can use this API to get specific content blocks from the available content blocks in your MoEngage account.
Your MoEngage Workspace ID (App Key). You can find this at Settings -> Account -> APIs -> Workspace ID.
Comma-separated list of the content block ids
Boolean Flag used to control whether we need to show raw content or not.
True
False
Success
Show child attributes
Was this page helpful?